Subject: bug#45686: 28.0.50; Could minibuf-eldef-setup-minibuffer inhibit modifications hooks, please?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Jun 2021 12:26:42 +0200

Omar Antolín Camarena <[email-masked]> writes:

>> That looks like the correct solution for your use case?
>
> Seems so.
>
>> Anybody else got an opinion here?
>
> I'd be interested to read other opinions, particularly if someone has a
> useful example of triggering something to happen when eldef shortens the
> prompt (since a single example would increase my powers of imagination!).

It didn't seem like anybody had any opinions here...  My feeling is that
the current system has the flexibility needed for different use cases,
and as you demonstrated in your example, you can work with the current
system to make it do what you want it to.

So I don't think we should change anything here, and I'm therefore
closing this bug report.  If others think that this is something that
should be revised, please respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no